Bug 976524 - VirtualBox modules not loaded due to missing kmod-VirtualBox package
VirtualBox modules not loaded due to missing kmod-VirtualBox package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kmod (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: kmod development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 14:06 EDT by Resa Drijsen
Modified: 2013-06-22 03:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 09:17:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Resa Drijsen 2013-06-20 14:06:59 EDT
Description of problem:
Since a few kernel upgrades the kernel modules for VirtualBox are no longer automatically updated. When attempting to start a VM after a kernel upgrade the following message is displayed

"Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is probably not loaded.

If you installed or VirtualBox package recently you need to restart the computer for the driver to load.

Alternatively, you may attempt to load the driver by issuing the following command with system administrator (root) privileges:

'/etc/sysconfig/modules/VirtualBox.modules'"

Running the indicated command gives the following result:
modinfo: ERROR: Module vboxdrv not found.
modinfo: ERROR: Module vboxnetflt not found.
modinfo: ERROR: Module vboxnetadp not found.

Up until the previous kernel release this could be fixed by installing the kmod-VirtualBox-`uname -r` package. However for the kernel that was installed with my latest update, being 3.9.6-200.fc18.x86_64, there is no kmod-VirtualBox package available.


Version-Release number of selected component (if applicable):
Kernel version: 3.9.6-200.fc18.x86_64
VirtualBox version: 4.2.12 r84980

How reproducible:
Try running a VM with the indicated kernel

Steps to Reproduce:
1. Upgrade to kernel 3.9.6-200.fc18.x86_64
2. Start VM from VirtualBox
3.

Actual results:
VM fails to start


Expected results:
VM runs as expected

Additional info:
Comment 1 Josh Boyer 2013-06-21 09:17:48 EDT
Report this to whomever you got the virtualbox modules from.  Kmod in this context is the module-init-utils replacement.  Fedora doesn't build or provide stand-alone kernel module packages, and we don't support VirtualBox.
Comment 2 Resa Drijsen 2013-06-22 03:14:10 EDT
(In reply to Josh Boyer from comment #1)
> Report this to whomever you got the virtualbox modules from.  Kmod in this
> context is the module-init-utils replacement.  Fedora doesn't build or
> provide stand-alone kernel module packages, and we don't support VirtualBox.

Sorry about this. Will take more care next time to check the supplier of the package.

Note You need to log in before you can comment on or make changes to this bug.